Bug 1807543 - qtwebkit requires Python 2 to build [NEEDINFO]
Summary: qtwebkit requires Python 2 to build
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: qtwebkit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1711519
Blocks: BRPY27 1913683
TreeView+ depends on / blocked
 
Reported: 2020-02-26 15:19 UTC by Petr Viktorin (pviktori)
Modified: 2024-06-18 20:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 17:38:13 UTC
Type: Bug
Embargoed:
mhroncok: needinfo? (rdieter)


Attachments (Terms of Use)

Description Petr Viktorin (pviktori) 2020-02-26 15:19:24 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like qtwebkit, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.
Let us know if you need any help investigating or removing the dependency. (There are dozens of packages like this, so we didn't investigate this one thoroughly. We assume you know the package best.)

If it's possible that the dependency won't be removed in Fedora 33. Please request a FESCo exception. You can refer to the exception for mercurial as an example: https://pagure.io/fesco/issue/2243
It's good to mention:

- What is the reason for the Python 2 build dependency?

- What are the upstream/community plans/timelines regarding Python 2?

- What is the guidance for porting the build to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Kevin Kofler 2020-03-04 07:21:26 UTC
https://pagure.io/fesco/issue/2352

I don't understand why the blanket exception was not made indefinite. The same rationale (users will not notice at all!) still applies unchanged. But here we go.

Comment 2 Ben Cotton 2020-08-11 13:10:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 3 Kevin Kofler 2021-01-07 12:49:18 UTC
The plan is still to try to sunset Qt4WebKit entirely.

Comment 4 Ben Cotton 2021-11-04 16:22:27 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2021-11-30 17:38:13 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Rex Dieter 2021-11-30 20:57:38 UTC
rebasing as FutureFeature to avoid autoclose

Comment 7 Miro Hrončok 2024-06-18 20:33:06 UTC
What is your plan if we were to remove Python 2 from the distribution today? Should we block that on qtwebkit?


Note You need to log in before you can comment on or make changes to this bug.